using Common.Library;

namespace Gready_Poang.EntityLayer;

public class RoundBuilderGroup : EntityBase
{
    public RoundBuilderGroup()
    {
        _gameRoundId = 0;
        _gameRoundStartDate = DateTime.MinValue;
        _status = GamePointStatus.New;
        _elements = new List<RoundBuilderElement>();
    }
    private int _gameRoundId;
    private DateTime _gameRoundStartDate;
    private GamePointStatus _status;
    private List<RoundBuilderElement> _elements;
    public int GameRoundId
    {
        get { return _gameRoundId; }
        set
        {
            _gameRoundId = value;
            // No need to raise property changed for this example
        }
    }
    public DateTime GameRoundStartDate
    {
        get { return _gameRoundStartDate; }
        set
        {
            _gameRoundStartDate = value;
            // No need to raise property changed for this example
        }
    }
    public GamePointStatus Status
    {
        get { return _status; }
        set
        {
            _status = value;
            // No need to raise property changed for this example
        }
    }

    public List<RoundBuilderElement> Elements
    {
        get { return _elements; }
        set
        {
            _elements = value;
            RaisePropertyChanged(nameof(Elements));
            // No need to raise property changed for this example
        }
    }
}
